package com.simuwang.base.pojo.dto.query;

import com.simuwang.base.common.support.query.PageQuery;

/**
 * FileName: LogPageQuery
 * Author:   chenjianhua
 * Date:     2024/9/28 21:03
 * Description: ${DESCRIPTION}
 */
public class TaskPageQuery extends PageQuery {

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 邮箱地址
     */
    private String email;
    /**
     * 任务类型，1-邮件解析，2-缺失计算，3-缺失明细通知
     */
    private Integer taskType;
    /**
     * 任务开始时间
     */
    private String startDate;
    /**
     * 任务结束时间
     */
    private String endDate;

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public Integer getTaskType() {
        return taskType;
    }

    public void setTaskType(Integer taskType) {
        this.taskType = taskType;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }
}
